/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Mar-09-2012 08:19:35pm
Filepath: scripts\Mobiles\custom mobiles - to sort\ML Named\Silk.cs
Lines of code: 80

Description: 

***********************************************************/


using System;
using Server.Items;
using Server.Targeting;
using System.Collections;

namespace Server.Mobiles
{
	[CorpseName( "a silk corpse" )] 
	public class Silk : BaseCreature
	{
	
	
		public override WeaponAbility GetWeaponAbility()
		{
			switch ( Utility.Random( 6 ) )
			{
				default:
				case 0: return WeaponAbility.DoubleStrike;
				case 1: return WeaponAbility.ParalyzingBlow;
				case 2: return WeaponAbility.ParalyzingBlow;
				case 3: return WeaponAbility.ParalyzingBlow;
				case 4: return WeaponAbility.ParalyzingBlow;
				case 5: return WeaponAbility.DoubleStrike;
			}
		}
			
		[Constructable]
		public Silk() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "Silk";
			Body =  0x9D;
			Hue = 1150;
			BaseSoundID = 0x388; 

			SetStr( 112 );
			SetDex( 111, 121 );
			SetInt( 70, 92 );

			SetHits( 290, 370 );
			SetStam( 111, 121 );
			SetMana( 70, 92 ); 

			SetDamage( 11, 22 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 50 );
			SetResistance( ResistanceType.Fire, 34 );
			SetResistance( ResistanceType.Cold, 36 );
			SetResistance( ResistanceType.Poison, 80 );
			SetResistance( ResistanceType.Energy, 38 );

			SetSkill( SkillName.Anatomy, 71.2 );
			SetSkill( SkillName.Poisoning, 97.5 );
			SetSkill( SkillName.MagicResist, 95.1 );
			SetSkill( SkillName.Tactics, 104.6 );
			SetSkill( SkillName.Wrestling, 122.4 );

			Fame = 3500;
			Karma = -3500;

			VirtualArmor = 32;

			PackItem( new SpidersSilk( 15 ) );
			PackItem( new GreaterPoisonPotion() );
			PackItem( new GreaterPoisonPotion() );
			

		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich, 2 );
		}

		public override bool IsMLBoss { get { return true;} }
		public override int TreasureMapLevel{ get{ return 6; } }
		public override double MLChestChance{ get{ return 0.05; } }
		
		public override FoodType FavoriteFood{ get{ return FoodType.Meat; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override Poison HitPoison{ get{ return Poison.Lethal; } }
		public override bool IsMLCreature { get { return true;} }
 
		public Silk( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}